#ifndef TMHistogrammingCErrorFractionVsECperEq_H
#define TMHistogrammingCErrorFractionVsECperEq_H

#include "TMHistogramming.h"
#include "AliITSRawStreamSPDErrorLog.h"

class TH1F;

class TMHistogrammingCErrorFractionVsECperEq : public TMHistogramming {

 public:
  TMHistogrammingCErrorFractionVsECperEq(UInt_t eq);
  virtual ~TMHistogrammingCErrorFractionVsECperEq();

  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void   Draw(TPad *pad);
  virtual void   Reset();

 protected:
  TH1F    *fTheHisto;
  UInt_t  fEq;
  UInt_t  fTotalNumberErrorEvents[AliITSRawStreamSPDErrorLog::kNrErrorCodes];

};

#endif
